<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../../../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../../../jacoco-resources/report.gif" type="image/gif"/><title>UserController.java</title><link rel="stylesheet" href="../../../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../../../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../../../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../../../index.html" class="el_report">green-grocery (01-Nov-2022 11:59:04 pm)</a> &gt; <a href="../../index.html" class="el_group">green-grocery</a> &gt; <a href="../index.html" class="el_bundle">src/main/java</a> &gt; <a href="index.source.html" class="el_package">com.example.demo.controller</a> &gt; <span class="el_source">UserController.java</span></div><h1>UserController.java</h1><pre class="source lang-java linenums">package com.example.demo.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.crypto.bcrypt.BCryptPasswordEncoder;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;

import com.example.demo.model.User;
import com.example.demo.repository.UserRepository;

@Controller
<span class="fc" id="L16">public class UserController {</span>
	 @Autowired
	    private UserRepository repo;
	     
	    @GetMapping(&quot;/&quot;)
	    public String viewHomePage() {
<span class="nc" id="L22">	        return &quot;index&quot;;</span>
	    }

	    @GetMapping(&quot;/register&quot;)
	    public String showRegistrationForm(Model model) {
<span class="nc" id="L27">	        model.addAttribute(&quot;user&quot;, new User());</span>
	         
<span class="nc" id="L29">	        return &quot;signup_form&quot;;</span>
	    }
	    @PostMapping(&quot;/process_register&quot;)
	    public String processRegistration(User user) {
<span class="nc" id="L33">	    	 BCryptPasswordEncoder passwordEncoder = new BCryptPasswordEncoder();</span>
<span class="nc" id="L34">	    	    String encodedPassword = passwordEncoder.encode(user.getPassword());</span>
<span class="nc" id="L35">	    	    user.setPassword(encodedPassword);</span>
	    	       
<span class="nc" id="L37">	       repo.save(user);</span>
	         
<span class="nc" id="L39">	        return &quot;register_success&quot;;</span>
	    }

	    @GetMapping(&quot;/home&quot;)
	    public String home(Model model) {
<span class="nc" id="L44">	      List&lt;User&gt;home=repo.findAll()  ;      </span>
<span class="nc" id="L45">	      model.addAttribute(&quot;home&quot;, home);</span>
<span class="nc" id="L46">	      return &quot;home&quot;;</span>
	    } 

	    @GetMapping(&quot;/about&quot;)
	    public String about() {
<span class="nc" id="L51">	        return &quot;about&quot;;</span>
	    }   
	  
	    @GetMapping(&quot;/contact&quot;)
	    public String contact() {
<span class="nc" id="L56">	        return &quot;contact&quot;;</span>
	    }   
	     

	    @GetMapping(&quot;/feedback&quot;)
	    public String feedback() {
<span class="nc" id="L62">	        return &quot;feedback&quot;;</span>
	    }   
	     

	    @GetMapping(&quot;/myproducts&quot;)
	    public String myproducts() {
<span class="nc" id="L68">	        return &quot;myproducts&quot;;</span>
	    }   
	     
	    @GetMapping(&quot;/features&quot;)
	    public String features() {
<span class="nc" id="L73">	        return &quot;features&quot;;</span>
	    }   
	     
	  
	    
	    @GetMapping(&quot;/addcart&quot;)
	    public String   addcart() {
<span class="nc" id="L80">	    	return &quot;addcart&quot;;</span>
	    }   
	    
	    @GetMapping(&quot;/paymentform&quot;)
	    public String   paymentform() {
<span class="nc" id="L85">	    	return &quot;paymentform&quot;;</span>
	    }   
	    
	    @GetMapping(&quot;/product&quot;)
	    public String   product() {
<span class="nc" id="L90">	    	return &quot;product&quot;;</span>
	    }   
	    
	    
	   
	  


} 

	     	


</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.8.202204050719</span>green-grocery (01-Nov-2022 11:59:04 pm)</div></body></html>